# eric6.Plugins.VcsPlugins.vcsMercurial.TransplantExtension.TransplantDialog

Module implementing a dialog to enter the data for a transplant session.

### Global Attributes

None

### Classes

RevisionsValidator | Class implementing a validator for the revisions line edit.
TransplantDialog | Class implementing a dialog to enter the data for a transplant session.

### Functions

None

## RevisionsValidator

Class implementing a validator for the revisions line edit.

### Derived from

QValidator

### Class Attributes

None

### Class Methods

None

### Methods

RevisionsValidator | Constructor
validate | Public method to validate the given input.

### Static Methods

None

#### RevisionsValidator (Constructor)

RevisionsValidator(multiRevsAllowed, parent=None)

Constructor

multiRevsAllowed
  flag indicating, if multi revs are allowed (boolean)
parent
  reference to the parent object (QObject)

#### RevisionsValidator.validate

validate(input, pos)

Public method to validate the given input.

input
  input to be validated (string)
pos
  position of the cursor (integer)

Returns:
  tuple with validation result, input and position (QValidator.State, string, integer)

Up

## TransplantDialog

Class implementing a dialog to enter the data for a transplant session.

### Derived from

QDialog, Ui_TransplantDialog

### Class Attributes

None

### Class Methods

None

### Methods

TransplantDialog | Constructor
__updateOk | Private slot to update the state of the OK button.
getData | Public method to retrieve the entered data.
on_allCheckBox_clicked | Private slot to react upon selection of the all check box.
on_branchesCombo_editTextChanged | Private slot to react upon changes of the branch name.
on_revisionsEdit_textChanged | Private slot to react upon changes of revisions.

### Static Methods

None

#### TransplantDialog (Constructor)

TransplantDialog(branchesList, parent=None)

Constructor

branchesList
  list of available branch names (list of strings)
parent
  reference to the parent widget (QWidget)

#### TransplantDialog.__updateOk

__updateOk()

Private slot to update the state of the OK button.

#### TransplantDialog.getData

getData()

Public method to retrieve the entered data.

Returns:
  tuple with list of revisions, source repo, branch name, a flag indicating to transplant all, list of revisions to skip, list of revisions to merge and a flag indicating to append transplant info (list of strings, string, string, boolean, list of strings, list of strings, boolean)

#### TransplantDialog.on_allCheckBox_clicked

on_allCheckBox_clicked(checked)

Private slot to react upon selection of the all check box.

checked
  state of the check box (boolean)

#### TransplantDialog.on_branchesCombo_editTextChanged

on_branchesCombo_editTextChanged(txt)

Private slot to react upon changes of the branch name.

txt
  contents of the branches combo (string)

#### TransplantDialog.on_revisionsEdit_textChanged

on_revisionsEdit_textChanged()

Private slot to react upon changes of revisions.

Up